Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.inverserecordmapping
Class SubtreeFlattenerFactory

    java.lang.Object
      com.servingxml.components.inverserecordmapping.SubtreeFlattenerFactory

All Implemented Interfaces:
  ShredXmlFactory

    public class SubtreeFlattenerFactory

extends java.lang.Object
implements ShredXmlFactory

This class supports mapping a stream of SAX events to a record stream.

Field Summary

Fields inherited from interface com.servingxml.components.inverserecordmapping.ShredXmlFactory
`EMPTY_ARRAY`

Constructor Summary
`SubtreeFlattenerFactory(javax.xml.transform.Templates templates, java.lang.String matchExpr2, Name recordTypeName, SubtreeFieldMap[] subtreeFieldMaps, Name[] parameterNames)`

Method Summary
`ShredXml` | `createShredXml(ServiceContext context, Flow flow)`
`SubtreeFieldMap` | `createSubtreeFieldMap(Name fieldName, java.lang.String matchExpr)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubtreeFlattenerFactory

    public SubtreeFlattenerFactory(javax.xml.transform.Templates templates,
                                   java.lang.String matchExpr2,
                                   Name recordTypeName,
                                   SubtreeFieldMap[] subtreeFieldMaps,
                                   Name[] parameterNames)

Method Detail

### createShredXml

    public ShredXml createShredXml(ServiceContext context,
                                   Flow flow)

  Specified by:
    `createShredXml` in interface `ShredXmlFactory`

### createSubtreeFieldMap

    public SubtreeFieldMap createSubtreeFieldMap(Name fieldName,
                                                 java.lang.String matchExpr)

  Specified by:
    `createSubtreeFieldMap` in interface `ShredXmlFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD